org.apache.cassandra.utils.memory

## Interface MemtableAllocator.DataReclaimer

- Enclosing class:
    MemtableAllocator

      public static interface MemtableAllocator.DataReclaimer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cancel()`
    `void` | `commit()`
    `MemtableAllocator.DataReclaimer` | `reclaim(Cell cell)`
    `MemtableAllocator.DataReclaimer` | `reclaimImmediately(Cell cell)`
    `MemtableAllocator.DataReclaimer` | `reclaimImmediately(DecoratedKey key)`

- - ### Method Detail

    - #### reclaim

          MemtableAllocator.DataReclaimer reclaim(Cell cell)

    - #### reclaimImmediately

          MemtableAllocator.DataReclaimer reclaimImmediately(Cell cell)

    - #### reclaimImmediately

          MemtableAllocator.DataReclaimer reclaimImmediately(DecoratedKey key)

    - #### cancel

          void cancel()

    - #### commit

          void commit()

Copyright © 2018 The Apache Software Foundation